## dh-ros 0.13.4

=== debian/tests/packages/foo_ament_cmake/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.20)
project(foo_ament_cmake VERSION 1.0.0 LANGUAGES CXX)
include(GNUInstallDirs)
find_package(ament_cmake REQUIRED)
add_executable(${PROJECT_NAME} src/source.cpp)
install(TARGETS ${PROJECT_NAME} RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
ament_package()

=== debian/tests/packages/foo_catkin/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.20)
project(foo_catkin VERSION 1.0.0 LANGUAGES CXX)
find_package(catkin REQUIRED)
catkin_package()
add_executable(${PROJECT_NAME} src/source.cpp)
install(TARGETS ${PROJECT_NAME} RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

## dh-ros 0.5.0

=== debian/changelog ===
dh-ros (0.5.0) unstable; urgency=medium

  * Add ROS_IGNORE_TEST_RESULTS variable

 -- Timo Röhling <roehling@debian.org>  Wed, 19 Jan 2022 22:32:30 +0100

dh-ros (0.4.0) unstable; urgency=medium

  * Use {dir} instead of {sourcedir} like pybuild does
  * Clean pybuild staging area for each package
  * Do not configure out-of-source build with pybuild
  * Pass correct destdir to dh_auto_install
  * Add support for build type specific extra arguments
  * Set -DBUILD_TESTING=OFF for 'nocheck' builds
  * Silence CMake warning on unused CLI variables
  * Fix sitedir path for supported Python versions

 -- Timo Röhling <roehling@debian.org>  Tue, 18 Jan 2022 13:38:39 +0100

dh-ros (0.3.0) unstable; urgency=medium

  * Add PYTHONPATH support
  * Add logging facility

 -- Timo Röhling <roehling@debian.org>  Mon, 22 Nov 2021 18:21:04 +0100

dh-ros (0.2.0) unstable; urgency=medium

  * Refactor code
  * Simplify script installation
  * Add first test
  * Convert Path to str for shlex
  * Treat export depends like regular ones
  * Improve output

 -- Timo Röhling <roehling@debian.org>  Mon, 22 Nov 2021 09:25:07 +0100

dh-ros (0.1.0) unstable; urgency=medium

  * Initial release.

 -- Timo Röhling <roehling@debian.org>  Thu, 14 Oct 2021 00:37:34 +0200

=== debian/control ===
Source: dh-ros
Section: devel
Priority: optional
Maintainer: Debian Robotics Team <team+robotics@tracker.debian.org>
Uploaders: Timo Röhling <roehling@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-catkin-pkg <!nocheck>,
               python3-pytest <!nocheck>,
               python3-setuptools,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/robotics-team/dh-ros.git
Vcs-Browser: https://salsa.debian.org/robotics-team/dh-ros

Package: dh-ros
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${python3:Depends}, ${perl:Depends}
Recommends: dh-python, cmake
Description: Debian helper for ROS packages
 This package provides support for catkin and ament to build ROS and ROS 2
 packages in Debian. It is particularly useful for upstream sources with
 multiple inter-dependent ROS packages, as it will figure out the correct
 build order automatically.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME = dhros
export PYBUILD_DESTDIR = debian/dh-ros
export PYBUILD_INSTALL_ARGS = --install-lib=/usr/share/dh-ros --install-scripts=/usr/share/dh-ros

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_installman: rosbuilder.1

%.1: %.1.in
	sed -e 's/@VERSION@/$(DEB_VERSION_UPSTREAM)/g' $< >$@

## dh-ros 0.8.2

=== debian/changelog ===
dh-ros (0.8.2) unstable; urgency=medium

  * Invoke clean target with correct build dir
  * Indent command line to be consistent with other dh tools
  * Tweak build output
  * Add test package build to autopkgtest

 -- Timo Röhling <roehling@debian.org>  Fri, 19 Aug 2022 13:48:58 +0200

dh-ros (0.8.1) unstable; urgency=medium

  * Update rosbuilder manual page
  * Replace license blurb with SPDX-License-Identifier
  * Switch to PEP 517 build style

 -- Timo Röhling <roehling@debian.org>  Wed, 10 Aug 2022 19:20:54 +0200

dh-ros (0.8.0) unstable; urgency=medium

  * Remove obsolete Lintian override
  * Add customizations for clean target
  * Remove .egg-info folders on clean

 -- Timo Röhling <roehling@debian.org>  Thu, 28 Jul 2022 00:10:33 +0200

dh-ros (0.7.1) unstable; urgency=medium

  * Remove .pytest_cache folders after install step

 -- Timo Röhling <roehling@debian.org>  Sat, 28 May 2022 15:48:55 +0200

dh-ros (0.7.0) unstable; urgency=medium

  * Fix test support for ament_cmake_python packages
  * Add ROS_SKIP_TESTS variable

 -- Timo Röhling <roehling@debian.org>  Fri, 27 May 2022 17:52:53 +0200

dh-ros (0.6.1) unstable; urgency=medium

  * Mention default search depth in manual page
  * Fix exit code regression
  * Add autopkgtest

 -- Timo Röhling <roehling@debian.org>  Fri, 27 May 2022 11:13:31 +0200

dh-ros (0.6.0) unstable; urgency=medium

  * Improve ROS_*_ARGS logic
  * Set BUILD_SHARED_LIBS=ON by default
  * Add build type specific ROS_EXECUTE hooks
  * Rename package_suffix to package_id
  * Update manual page
  * Bump Standards-Version to 4.6.1
  * Add unit test for rosbuilder

 -- Timo Röhling <roehling@debian.org>  Thu, 26 May 2022 22:17:29 +0200

dh-ros (0.5.4) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Extend rosbuilder manual page

  [ Timo Röhling ]
  * Apply black source formatting
  * Layout fixes and minor rewording of manual page

 -- Timo Röhling <roehling@debian.org>  Thu, 19 May 2022 13:44:11 +0200

dh-ros (0.5.3) unstable; urgency=medium

  * Stop generating cruft and disable ament_lint_auto

 -- Timo Röhling <roehling@debian.org>  Tue, 10 May 2022 19:59:24 +0200

dh-ros (0.5.2) unstable; urgency=medium

  * Set DEB_PYTHON_INSTALL_LAYOUT to deb_system

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 31 Mar 2022 17:45:14 +0200

dh-ros (0.5.1) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Clean pybuild in dh_auto_clean

  [ Timo Röhling ]
  * Partially revert pybuild cleaning logic
  * Update copyright years
  * Move rosbuilder code named module
  * Add sanity check for version number

 -- Timo Röhling <roehling@debian.org>  Tue, 22 Mar 2022 10:49:45 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,16 @@
 Priority: optional
 Maintainer: Debian Robotics Team <team+robotics@tracker.debian.org>
 Uploaders: Timo Röhling <roehling@debian.org>
-Build-Depends: debhelper-compat (= 13),
-               dh-sequence-python3,
-               python3-all,
-               python3-catkin-pkg <!nocheck>,
-               python3-pytest <!nocheck>,
-               python3-setuptools,
-Standards-Version: 4.6.0
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
+ python3-all,
+ python3-catkin-pkg <!nocheck>,
+ python3-pytest <!nocheck>,
+ python3-pytest-mock <!nocheck>,
+ python3-setuptools,
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/robotics-team/dh-ros.git
 Vcs-Browser: https://salsa.debian.org/robotics-team/dh-ros

## dh-ros 0.9.0

=== debian/changelog ===
dh-ros (0.9.0) unstable; urgency=medium

  * Fix f-string
  * Make ROS_IGNORE_TEST_RESULTS behavior consistent with ROS_SKIP_TESTS

 -- Timo Röhling <roehling@debian.org>  Sat, 17 Sep 2022 21:50:25 +0200

## dh-ros 0.11.0

=== debian/changelog ===
dh-ros (0.11.0) unstable; urgency=medium

  * Team upload.
  * Support custom catkin test action

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 16 Dec 2022 08:19:14 +0100

dh-ros (0.10.0) unstable; urgency=medium

  * Add ROS_*_COMMAND_PREFIX variables

 -- Timo Röhling <roehling@debian.org>  Wed, 14 Dec 2022 22:58:04 +0100

## dh-ros 0.11.1

=== debian/changelog ===
dh-ros (0.11.1) unstable; urgency=medium

  * Be verbose about executing catkin_test_results
  * Bump Standards-Version to 4.6.2

 -- Timo Röhling <roehling@debian.org>  Fri, 23 Dec 2022 16:30:48 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python3-pytest <!nocheck>,
  python3-pytest-mock <!nocheck>,
  python3-setuptools,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/robotics-team/dh-ros.git
 Vcs-Browser: https://salsa.debian.org/robotics-team/dh-ros
@@ -20,7 +20,10 @@
 Package: dh-ros
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${python3:Depends}, ${perl:Depends}
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+ ${perl:Depends},
 Recommends: dh-python, cmake
 Description: Debian helper for ROS packages
  This package provides support for catkin and ament to build ROS and ROS 2

## dh-ros 0.13.0

=== debian/changelog ===
dh-ros (0.13.0) unstable; urgency=medium

  * Black reformatting
  * Rename COMMAND_PREFIX to WRAPPER and update a few hook variables

 -- Timo Röhling <roehling@debian.org>  Tue, 08 Aug 2023 11:29:30 +0200

dh-ros (0.12.0) unstable; urgency=medium

  * Set canonical value DEB_PYTHON_INSTALL_LAYOUT=deb.
    This behaves identical to deb_system, but is consistent with
    pybuild.
  * Add support for alternative install prefixes
  * Resolve hook variables in _ARGS and _COMMAND_PREFIX

 -- Timo Röhling <roehling@debian.org>  Sun, 06 Aug 2023 21:14:20 +0200

dh-ros (0.11.2) unstable; urgency=medium

  * Set DEB_PYTHON_INSTALL_LAYOUT=deb_system globally

 -- Timo Röhling <roehling@debian.org>  Thu, 27 Jul 2023 11:24:21 +0200

## dh-ros 0.13.2

=== debian/changelog ===
dh-ros (0.13.2) unstable; urgency=medium

  * Do not skip environment generation for custom install prefixes
  * Set -DBUILD_TESTING=OFF for packages which skip testing anyway

 -- Timo Röhling <roehling@debian.org>  Fri, 24 Nov 2023 12:12:55 +0100

dh-ros (0.13.1) unstable; urgency=medium

  * Clean __pycache__ artifacts

 -- Timo Röhling <roehling@debian.org>  Thu, 14 Sep 2023 14:25:44 +0200

## dh-ros 0.13.4

=== debian/changelog ===
dh-ros (0.13.4) unstable; urgency=medium

  * Team upload.
  * Set ROS_IP for tests

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 19 Mar 2024 07:55:42 +0100

dh-ros (0.13.3) unstable; urgency=medium

  * Respect maintainer overrides for search paths
  * Set CPATH to {destdir}/usr/include for catkin builds

 -- Timo Röhling <roehling@debian.org>  Sun, 17 Mar 2024 21:06:30 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME = dhros
export PYBUILD_DESTDIR = debian/dh-ros
export PYBUILD_INSTALL_DIR = /usr/share/dh-ros

ifeq ($(shell grep '^version *= *$(DEB_VERSION_UPSTREAM)$$' setup.cfg),)
ifeq ($(shell env | grep SALSA_CI),)
$(error version in setup.py does not match the one in debian/changelog)
endif
endif

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_install:
	find $(PYBUILD_DESTDIR) -name ".pytest_cache" -print0 | xargs -0 rm -r
	mv $(PYBUILD_DESTDIR)/usr/bin/rosbuilder $(PYBUILD_DESTDIR)$(PYBUILD_INSTALL_DIR)

execute_after_dh_python3:
	# Once debhelper has collected the dependencies, we no longer need this
	rm -r $(PYBUILD_DESTDIR)$(PYBUILD_INSTALL_DIR)/*.dist-info

execute_before_dh_installman: rosbuilder.1

%.1: %.1.in
	sed -e 's/@VERSION@/$(DEB_VERSION_UPSTREAM)/g' $< >$@

=== debian/tests/control ===
Tests: run-cli
Depends:
 dh-ros
Restrictions: superficial

Tests: run-test-suite
Depends:
 dh-ros,
 python3-pytest,
 python3-pytest-mock,

Tests: build-test-package
Depends:
 ament-cmake,
 build-essential,
 catkin,
 cmake,
 debhelper-compat (= 13),
 dh-python,
 dh-ros,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Restrictions: allow-stderr

=== debian/tests/packages/debian/control ===
Source: dh-ros-autopkgtest-dummy
Section: devel
Priority: optional
Maintainer: Debian Robotics Team <team+robotics@tracker.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ament-cmake,
 catkin,
 cmake,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Standards-Version: 4.6.1
Rules-Requires-Root: no

Package: dh-ros-autopkgtest-dummy
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Dummy package to test dh-ros
 This is not a real package and you should never install it.

## dh-ros 0.13.5

=== debian/changelog ===
dh-ros (0.13.5) unstable; urgency=medium

  * Allow maintainer override for ROS_IP/ROS_HOSTNAME
  * Make sure that builddir is removed on clean
  * Set ROS_HOME and expose as {homedir}

 -- Timo Röhling <roehling@debian.org>  Wed, 17 Apr 2024 12:04:07 +0200

## dh-ros 0.13.6

=== debian/changelog ===
dh-ros (0.13.6) unstable; urgency=medium

  * Add _PYTHON_SYSCONFIGDATA_NAME support for cross builds
  * Bump Standards-Version to 4.7.0

 -- Timo Röhling <roehling@debian.org>  Wed, 18 Sep 2024 12:40:21 +0200

## dh-ros 0.13.8

=== debian/changelog ===
dh-ros (0.13.8) unstable; urgency=medium

  * Add special cases for building catkin itself

 -- Timo Röhling <roehling@debian.org>  Mon, 23 Sep 2024 21:39:50 +0200

dh-ros (0.13.7) unstable; urgency=medium

  * Set CMAKE_PREFIX_PATH and AMENT_PREFIX_PATH for all build stages
  * Set ROS_PACKAGE_PATH

 -- Timo Röhling <roehling@debian.org>  Sat, 21 Sep 2024 21:39:40 +0200

## dh-ros 0.13.9

=== debian/changelog ===
dh-ros (0.13.9) unstable; urgency=medium

  * Try more specific custom hook first
  * Catch CalledProcessError on --clean
  * Explicitly set CATKIN_TEST_RESULTS_DIR
  * Set CATKIN_DEVEL_PREFIX to a common develspace

 -- Timo Röhling <roehling@debian.org>  Thu, 26 Sep 2024 21:29:59 +0200

## dh-ros 0.14.1

=== debian/changelog ===
dh-ros (0.14.1) unstable; urgency=medium

  * Invoke default Python X.Y interpreter via /usr/bin/pythonX
  * Do not add catkin packages to ROS_PACKAGE_PATH multiple times
  * Add mechanism to tweak dependencies

 -- Timo Röhling <roehling@debian.org>  Sun, 06 Oct 2024 00:09:07 +0200

dh-ros (0.14.0) unstable; urgency=medium

  * Support Python extensions in CMake-based builds
  * Fix hook variable substitution

 -- Timo Röhling <roehling@debian.org>  Fri, 04 Oct 2024 23:28:08 +0200

dh-ros (0.13.10) unstable; urgency=medium

  * Make develspace dir name less ugly
  * Do not add CATKIN_DEVEL_PREFIX to CMAKE_PREFIX_PATH
  * Override dh_auto_test for catkin packages

 -- Timo Röhling <roehling@debian.org>  Fri, 04 Oct 2024 00:18:42 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python3-pytest <!nocheck>,
  python3-pytest-mock <!nocheck>,
  python3-setuptools,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/robotics-team/dh-ros.git
 Vcs-Browser: https://salsa.debian.org/robotics-team/dh-ros

## dh-ros 0.14.2

=== debian/tests/packages/foo_cmake/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.20)
project(foo_cmake VERSION 1.0.0 LANGUAGES CXX)
include(GNUInstallDirs)
add_executable(${PROJECT_NAME} src/source.cpp)
install(TARGETS ${PROJECT_NAME} RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

=== debian/changelog ===
dh-ros (0.14.2) unstable; urgency=medium

  * Improve type annotations
  * Fix FTBFS with nocheck profile (Closes: #1103309)

 -- Timo Röhling <roehling@debian.org>  Thu, 17 Apr 2025 08:24:12 +0200

=== debian/tests/packages/debian/changelog ===
dh-ros-autopkgtest-dummy (0) unstable; urgency=low

  * Dummy package

 -- Timo Röhling <roehling@debian.org>  Mon, 23 May 2022 00:00:00 +0000

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 	dh $@ --buildsystem=pybuild
 
 execute_after_dh_auto_install:
-	find $(PYBUILD_DESTDIR) -name ".pytest_cache" -print0 | xargs -0 rm -r
+	find $(PYBUILD_DESTDIR) -name ".pytest_cache" -print0 | xargs -r0 rm -r
 	mv $(PYBUILD_DESTDIR)/usr/bin/rosbuilder $(PYBUILD_DESTDIR)$(PYBUILD_INSTALL_DIR)
 
 execute_after_dh_python3:

=== debian/tests/packages/debian/control ===
Source: dh-ros-autopkgtest-dummy
Section: devel
Priority: optional
Maintainer: Debian Robotics Team <team+robotics@tracker.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 ament-cmake,
 catkin,
 cmake,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Standards-Version: 4.7.0
Rules-Requires-Root: no

Package: dh-ros-autopkgtest-dummy
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
Description: Dummy package to test dh-ros
 This is not a real package and you should never install it.

## dh-ros 0.14.3

=== debian/tests/packages/foo_ancient_cmake/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)  # This is ancient on purpose
project(foo_ancient_cmake VERSION 1.0.0)
include(GNUInstallDirs)
add_executable(${PROJECT_NAME} src/source.cpp)
install(TARGETS ${PROJECT_NAME} RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

=== debian/changelog ===
dh-ros (0.14.3) unstable; urgency=medium

  * Remove +suffix from changelog version before comparing
  * Fix FTBFS for ROS packages with CMake 4
    Closes: #1125561, #1125562, #1125563, #1125564, #1125565, #1125566
    Closes: #1125567, #1125568, #1125569, #1125570, #1125571, #1125572
    Closes: #1125573, #1125574, #1125575, #1125576, #1125577, #1125578
    Closes: #1125579, #1125580, #1125581, #1125582, #1125583, #1125584
    Closes: #1125585, #1125617, #1125619, #1125620, #1125621, #1125622
    Closes: #1125623, #1125624, #1125625, #1125626, #1125627, #1125628
    Closes: #1125629, #1125630, #1125631, #1125632, #1125633

 -- Timo Röhling <roehling@debian.org>  Thu, 15 Jan 2026 17:57:30 +0100

=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,8 @@
 export PYBUILD_DESTDIR = debian/dh-ros
 export PYBUILD_INSTALL_DIR = /usr/share/dh-ros
 
-ifeq ($(shell grep '^version *= *$(DEB_VERSION_UPSTREAM)$$' setup.cfg),)
-ifeq ($(shell env | grep SALSA_CI),)
+ifeq ($(shell grep '^version *= *$(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*$$//')$$' setup.cfg),)
 $(error version in setup.py does not match the one in debian/changelog)
-endif
 endif
 
 %:
